
%define major		12
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d


Name:		kpmcore
Version: 23.08.5
Release:	%mkrel 1
Summary:	Library for managing partitions by KDE programs
Group:		Graphical desktop/KDE5
License:	GPLv3+
URL:		https://cgit.kde.org/kpmcore.git/
Source0:	https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:	gettext
BuildRequires:	pkgconfig(blkid)
BuildRequires:	pkgconfig(libatasmart)
BuildRequires:	pkgconfig(libparted)
BuildRequires:	pkgconfig(qca2-qt5)
BuildRequires:	pkgconfig(polkit-qt5-1)

BuildRequires:	kf5-macros
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)

Requires:	parted
Requires:	e2fsprogs
Requires:	qca2-qt5

%description
KPMcore contains common code for managing partitions by KDE Partition Manager
and other KDE projects.

%files -f %{name}.lang
%{_libexecdir}/kpmcore_externalcommand
%{_kf5_datadir}/dbus-1/system.d/org.kde.kpmcore*.conf
%{_kf5_datadir}/dbus-1/system-services/org.kde.kpmcore.helperinterface.service
%{_kf5_datadir}/polkit-1/actions/org.kde.kpmcore.externalcommand.policy

#--------------------------------------------------------------------

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Obsoletes: lib64kpmcore10
Obsoletes: lib64kpmcore11

%description -n	%{libname}
Main library for %{name}.

%files -n %{libname}
%{_kf5_libdir}/lib%{name}.so.%{major}
%{_kf5_libdir}/lib%{name}.so.%{version}
/usr/lib64/qt5/plugins/kpmcore/pmdummybackendplugin.so
/usr/lib64/qt5/plugins/kpmcore/pmsfdiskbackendplugin.so
#--------------------------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Development library and header files for %{name}.

%files -n %{develname}
%{_includedir}/%{name}/
%{_kf5_libdir}/cmake/KPMcore
%{_kf5_libdir}/libkpmcore.so

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%find_lang %{name} --with-kde --all-name

%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

